petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexCreateGmsh

Create a DMPlex mesh from a Gmsh file viewer

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateGmsh(MPI_Comm comm, PetscViewer viewer, PetscBool interpolate, DM *dm)

Collective

### Input Parameters

| comm | - The MPI communicator
| viewer | - The Viewer associated with a Gmsh file
| interpolate | - Create faces and edges in the mesh

### Output Parameter

dm -The DM object representing the mesh

Note: http://gmsh.info/doc/texinfo/gmsh.html#MSH-file-format

### See Also

DMPLEX, DMCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexgmsh.c

### Implementations

DMPlexCreateGmsh_ReadNodes_v22 in src/dm/impls/plex/plexgmsh.c
DMPlexCreateGmsh_ReadElements_v22 in src/dm/impls/plex/plexgmsh.c
DMPlexCreateGmsh_ReadEntities_v40 in src/dm/impls/plex/plexgmsh.c
DMPlexCreateGmsh_ReadNodes_v40 in src/dm/impls/plex/plexgmsh.c
DMPlexCreateGmsh_ReadElements_v40 in src/dm/impls/plex/plexgmsh.c
DMPlexCreateGmsh_ReadPeriodic_v40 in src/dm/impls/plex/plexgmsh.c
DMPlexCreateGmsh_ReadEntities_v41 in src/dm/impls/plex/plexgmsh.c
DMPlexCreateGmsh_ReadNodes_v41 in src/dm/impls/plex/plexgmsh.c
DMPlexCreateGmsh_ReadElements_v41 in src/dm/impls/plex/plexgmsh.c
DMPlexCreateGmsh_ReadPeriodic_v41 in src/dm/impls/plex/plexgmsh.c
DMPlexCreateGmsh_ReadMeshFormat in src/dm/impls/plex/plexgmsh.c
DMPlexCreateGmsh_ReadPhysicalNames in src/dm/impls/plex/plexgmsh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages